Subject: Re: kha/safe and kha/experimental updated

From: Jakub Narebski <[email-masked]>
Date: Tue, 18 Dec 2007 08:39:52 -0800 (PST)

"Catalin Marinas" <[email-masked]> writes:

> Thanks again for maintaining these branches.
> 
> On 18/12/2007, Karl Hasselström <[email-masked]> wrote:
> >   git://repo.or.cz/stgit/kha.git safe

> >       Remove "stg resolved"
> 
> I'd like to keep this command. git-mergetool doesn't support the tool
> I use (emacs + ediff and more stgit-specific file extensions like
> current, patch etc.). I also don't find 'git add' to be meaningful for
> marking a conflict as solved.

I also would like to have this command kept (and shown in 'stg help'!).
Contrary to 'git add' it can check and add to index / update index
only for files with conflict; we have -r (ancestor|current|patched)
to choose one side, and we could add --check to check if there are
no conflict markers with files (useful with -a/--all).

-- 
Jakub Narebski
Poland
ShadeHawk on #git